| Home | Libraries | People | FAQ | More

## Function operator!

boost::logic::operator! — Computes the logical negation of a tribool.

## Synopsis

    // In header: <boost/logic/tribool.hpp>

    tribool operator!(tribool x);

## Description

Returns: | the logical negation of the tribool, according to the table:
`!` |
false | true
true | false
indeterminate | indeterminate
Throws: | Will not throw.